FROM python:3.13 AS builder
RUN apt-get update -y
RUN apt-get install -y pipx
RUN	pip install poetry
WORKDIR /src
COPY . .
RUN	python -m poetry install --no-root
RUN	python -m poetry run mkdocs build

FROM nginx:1.27.4
COPY --from=builder /src/site /usr/share/nginx/html
